## cdrkit 1.1.6

=== CMakeLists.txt ===
PROJECT (cdrkit)
SUBDIRS(include genisoimage wodim libedc libhfs_iso libparanoia icedax libusal librols libunls readom netscsid 3rd-party/dirsplit)
