=== libedc/CMakeLists.txt ===
PROJECT (LIBEDC)
INCLUDE_DIRECTORIES(../include . ${CMAKE_BINARY_DIR})

AUX_SOURCE_DIRECTORY(. LIBEDC_SRCS)

ADD_LIBRARY (edc STATIC ${LIBEDC_SRCS})
