=== wodim/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 LINK_DIRECTORIES(../librols ../libusal  ../libedc)
 
-ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE)
+ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE -DDRV_DVD -DFIFO -DAUINFO -DUSE_LARGEFILES )
+
 
 ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
 ADD_LIBRARY (wodimstuff STATIC ${CDRECORD_COMMON_SRCS})
@@ -33,4 +34,4 @@
 INSTALL(TARGETS wodim DESTINATION bin)
 INSTALL(FILES 
    wodim.1
-DESTINATION share/man/man1)
+DESTINATION ${MANSUBDIR}/man1)
