=== 3rd-party/dirsplit/CMakeLists.txt ===
PROJECT (DIRSPLIT)
INSTALL(PROGRAMS dirsplit DESTINATION bin)
INSTALL(FILES dirsplit.1 DESTINATION share/man/man1)
