## cdrkit 1.1.10-maemo1

=== debian/changelog ===
cdrkit (9:1.1.10-maemo1) unstable; urgency=low

  * Initial release for maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Sep 2010 20:47:39 +0200

cdrkit (9:1.1.10-1) unstable; urgency=low

  * New upstream release.
    - Several functions that clash with POSIX renamed.  (Closes: #547886)
  * Fix FTBFS with missing xconfig.h. Thanks to Matt Kraai for the patch.
    Closes: #556382

 -- Steve McIntyre <93sam@debian.org>  Fri, 27 Nov 2009 23:27:43 +0000

cdrkit (9:1.1.9-1) unstable; urgency=low

  * New upstream release with a couple of important bugfixes:
    - wodim: In -msinfo mode, only suggest dvd+rw-mediainfo in verbose mode.
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de> for the
      patch. Closes: #436146
    - genisoimage: undo a mistake in the directory permissions change in
      the last release. Fixes handling of deep directory structures.
      Closes: #488482

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Oct 2008 15:43:54 -0700

cdrkit (9:1.1.8-1) unstable; urgency=low

  * New upstream release, lots of changes in genisoimage:
    - Add command-line support for -jigdo-template-compress.
    - Fix a type issue that broke sha1 support on 64-bit arches.
    - Added test code; changed internal layout slightly to make
      for easier debug.
    - Applied patch from Roman Rakus <rrakus@redhat.com> to
      preserve directory permissions.
    - Add a patch from Ivan Shmakov. "-o -" will now write
      to stdout, as typical for command line programs. And we will try
      not to corrupt stdout by default if it's a terminal.
      Closes: #426389
    - Fix broken changes in mac_label.c and add -chrp-boot to the man
      page. Closes: #437221
    - Other small cleanups.
  * Update Build-Dependency to libcap2-dev. Closes: #482200.

 -- Steve McIntyre <93sam@debian.org>  Sun, 25 May 2008 23:38:35 +0100

cdrkit (9:1.1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 21:25:56 +0000

cdrkit (9:1.1.7-1) unstable; urgency=low

  * New upstream release.
    - wodim.1 no longer implies that dev= is required.  (Closes: #434172)
    - Various typo fixes in wodim.1.  (Closes: #463273, #430555)
    - Typo fixes in readom.1.  (Closes: #446041)
    - lots of fixes to prevent gcc warnings
    - fix jigdo exclude list handling (Closes: #411873)
    - Fix for Joliet directory length bug in genisoimage
      (Closes: #430558, #429244)
    - add support for bzip2-compressed templates
    - genisoimage/jte.c: fix exclude list handling.
    - Add a generic infrastructure for checksums so we can use
      sha1/<whatever> as well as just md5sum. Will make things much
      faster for generating sha1sums for images and jigdos.
    - Add GPL-licensed SHA1 implementation.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 20:07:58 +0000

cdrkit (9:1.1.6-1) unstable; urgency=low

  * New upstream release
    + more carefull fixation (closes: #411362)
  
  [ Peter Samuelson ]
  * Add genisoimagerc(5) to genisoimage package (closes: #422025)
  * Fix typos in wodim(1) and isoinfo(1). (closes: #430555)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 May 2007 16:38:38 +0200

cdrkit (9:1.1.5.1-1) unstable; urgency=low

  * New minor upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 11:48:52 +0200

cdrkit (9:1.1.5-1) unstable; urgency=low

  * New upstream release
  * drop symlink or empty cdrecord directory before unpacking (closes: #418473)
  * drop symlink or empty mkisofs directory before unpacking (closes: #418474)

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 11:16:52 +0200

cdrkit (9:1.1.4-1) unstable; urgency=high

  * New upstream release
    + picking /dev/sr* devices rather then /dev/sg*, making the additional sg
      driver loading unneccesary when the b/t/l syntax is used, and sharing
      the access controls with other programs acting on the block device
      (closes: #413960)

 -- Eduard Bloch <blade@debian.org>  Sun, 01 Apr 2007 21:49:11 +0200

cdrkit (9:1.1.3-1) unstable; urgency=medium

  * New upstream version with important bugfixes
    + dealing with newline when searching for device (closes: #408456).
      Also telling the expected track size to not confuse (closes: #409005)
    + corrected picking up of the SCSI transfer size (closes: #407773)
    + correct fallback to CDR_FIFOSIZE (closes: #408840)
    + restores forgotten compiler definitions on wodim (closes: #407611)
    + provisional LFS support in UDF (closes: #401988)
    + transfer size extraction fix (part of #407773)
    + default gracetime value changed in recommendations (closes: #408844)
    + telling the user when the drive is mounted and therefore busy
      (closes: #414271)
  * Relaxed version dependency of cmake (closes: #407163)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Mar 2007 22:31:24 +0200

cdrkit (9:1.1.2-1) unstable; urgency=medium

  * New upstream version
    + mentions readom in wodim's manpage (closes: #405979)
    + subtle behaviour improvements like not allowing writting when -dummy is
      specified by user but could be ignored by the drive
  * Updated geteltorito.pl to 0.4 including patch from manty
  * installing geteltorito in genisoimage and documented it and other 3rd-party
    stuff in the genisoimage package description
  * added md5sum of Ubuntu's conffile version to the big list of obsolete
    version checksums in wodim.preinst (lp: #73832)
  * added the burnstuff script to the examples in wodim package

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Jan 2007 00:45:22 +0100

cdrkit (9:1.1.1-1) unstable; urgency=medium

  * New upstream version
    + more verbose abort message if track is specified with some maintainance
      command (closes: #369677)
    + BURN-Free enabled by default (closes: #403899)
    + uses correct CFLAGS variable (closes: #402190)
    + moved *iso* manpages to section 1, many manpage fixes 
      (closes: #404289, #402044)

