=== debian/changelog ===
cdrkit (9:1.1.11-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #974914)
  * Fix building with CMake 4.  (Closes: #1112771)

  [ Heinrich Schuchardt ]
  * isoinfo: Support EFI architecture.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Sep 2025 22:57:14 +0200

cdrkit (9:1.1.11-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Debian team.
  * Move packaging to Salsa Debian team
    Closes: #1085409
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Does not FTCBS / hides compiler invocations any more since 1.1.11-3.3
    thus Closes: #902402

  [ Lunar ]
  * Allow dates in PVD to be set
    Closes: #783513
    (RIP Lunar!)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2024 18:12:35 +0100

cdrkit (9:1.1.11-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066264).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 14 Mar 2024 21:53:13 +0500

cdrkit (9:1.1.11-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure for binary-indep packages.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 24 Jun 2022 22:56:39 +0800

cdrkit (9:1.1.11-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Port to debhelper 13 (Closes: #965449)
  * Add debian/patches/fix_format-security.patch: fix build failed for
    hardening.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 28 May 2022 03:22:51 +0800

cdrkit (9:1.1.11-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply patch from Fedora to fix build with GCC 10 (Closes:
    #957074)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Feb 2021 22:36:29 +0100

cdrkit (9:1.1.11-3.1) unstable; urgency=medium

  * Non-maintainer upload (With Steve approval).
  * Add mkisofs (and such) compatibility symlinks and adjust the necessary
    Conflits/Provides/Replaces, this puts the debian package inline with the
    other distributions (Closes: #680949)
  * Switch to dpkg-source 3.0 (quilt) format and extract the existing patches
  * debian/patches/add-efi-boot.patch: Apply Fedora patch by Peter Jones to
    add EFI boot support. (Closes: #658120)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Jan 2020 20:22:43 +0100

cdrkit (9:1.1.11-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd-*. Closes: #754642. kfreebsd-* now includes a
    <sys/capability.h> which is not compatible with the same file on
    linux, and nor does it imply -lcap will work. Fix the detection code
    to cope with this.

 -- Steve McIntyre <93sam@debian.org>  Tue, 22 Jul 2014 00:56:34 +0100

cdrkit (9:1.1.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * geteltorito.pl: update to version 0.5, fixing the bug that prevent it
    to work with hdd images (Closes: #648935, #611784)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 18 Jun 2014 12:02:31 +0200

cdrkit (9:1.1.11-2) unstable; urgency=low

  * Modify build-dependencies to better support kFreeBSD folks. Thanks to
    Robert Millan for the patch. Closes: #634380.
  * Fix up lintian warnings:
    - update standards-version
    - fix usage of dh_clean to make sure we don't keep debhelper log files
    - add rules for build-arch and build-indep

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Jul 2011 12:49:12 +0100

cdrkit (9:1.1.11-1) unstable; urgency=low

  * New upstream release.
    - genisoimage: Fix silly bug in MD5 output in template files.
      Closes: #596681
    - Update references to atterer.org (Closes: #596860)
    - Minor tweaks to the genisoimage.1 man page
  * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
    Closes: #513024
  * Updates for lintian warnings:
    - Add ${misc:Depends}
    - Fix build dependency on cmake to be less version specific
    - Change ordering of dh_ commands
    - Updated Standards-Version to 3.9.1
    - Refer to /usr/share/common-licenses/GPL-2 instead of
      /usr/share/common-licenses/GPL
    - Fix some typos/spelling mistakes in docs
    - Removed empty wodim maintainer scripts

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Oct 2010 23:33:48 +0100
