=== debian/control ===
Source: cdrkit
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: otherosfs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libbz2-dev,
               zlib1g-dev,
               cmake,
               libcap2-dev [linux-any],
               libcam-dev [kfreebsd-any],
               libmagic-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cdrkit
Vcs-Git: https://salsa.debian.org/debian/cdrkit.git

Package: wodim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: genisoimage
Suggests: cdrkit-doc
Conflicts: cdrecord,
           xcdroast (<< 0.98+0alpha15-11)
Provides: cdrecord
Replaces: cdrtools-doc,
          cdrecord
Description: command line CD/DVD writing tool
 wodim allows you to create CDs or DVDs on a CD/DVD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
 data and video disks on DVD capable devices, on just about every type of
 CD/DVD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: genisoimage
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: wodim,
          cdrkit-doc
Conflicts: mkhybrid,
           mkisofs
Provides: mkisofs
Replaces: mkisofs
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Torito" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: icedax
Architecture: any
Section: sound
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: vorbis-tools,
          cdrkit-doc
Conflicts: cdda2wav
Provides: cdda2wav
Replaces: cdda2wav
Description: Creates WAV files from audio CDs
 icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
 the distortion that is introduced when recording via a sound card. Data
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: cdrkit-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: wodim,
          genisoimage,
          icedax
Conflicts: cdrtools-doc
Replaces: cdrtools-doc
Description: Documentation for the cdrkit package suite
 This is the documentation for the cdrkit package suite, namely
 wodim, genisoimage and icedax.
